@charset "utf-8";
@import 'styles.css';

.choose-broadcast-bg-img::before{
    background-image: url("images/choose-broadcast-bg.jpg");
}
.choose-b-section{
    position: relative;
    padding: 10em 2em 0;
}
.choose-b-section .h2-64{
    margin-bottom: 6rem;
}
.choose-b-wrapper{
    display: flex;
    max-width: 1534px;
    margin: 0 auto;
    gap: 3.750em;
}
.broadcast-option-box{
    position: relative;
    flex: 1;
    background-color: var(--clr-gary-bg);
    box-shadow: var(--bs-regular);
    min-height: 610px;
    display: flex;
    flex-direction: column;
    padding: 0 2.875em 2.25em;
    box-sizing: border-box;
    overflow: hidden;
}
.broadcast-option-title{
    font-size:var(--fs-28);
    color: var(--clr-gray-text);
    text-align: center;
    font-weight: var(--fw-title);
    border-bottom: 1px solid var(--clr-p-line);
    padding: 1rem 0 0.75rem;
    z-index: 5;
}
.broadcast-option-list{
    color: var(--clr-text);
    font-size: var(--fs-18);
    padding: 0 1.75em 0 0;
    margin: 2em 0 0;
    list-style-type: none;
    line-height: 2em;
    z-index: 5;
}
.broadcast-option-list li{
    position: relative;
}

.broadcast-option-list li::before{
    content: url("images/v-list.svg");
    position: absolute;
    right: -1.75em;
}
.broadcast-option-list span{
    color: var(--clr-gray-text);
}
.upgrade-title{
    margin: auto 0 0.75em;
    font-size: var(--fs-18);
    font-weight: var(--fw-title);
    color: var(--clr-gray-text);
    z-index: 5;
    padding-top: 1.5em;
}
.upgrade-title svg{
    margin-left: 0.75em;
}
.upgrade-content{
    background-color: var(--clr-chat-bg);
    height: 88px;
    padding: 0 2em;
    display: flex;
    align-items: center;
    z-index: 5;
}
.upgrade-content p{
    color: var(--clr-gray-text);
    font-size: var(--fs-18);
}
.choose-b-btn{
    border: 1px solid var(--clr-purple-header);
    color: var(--clr-purple-header);
    text-align: center;
    padding: 0.6em 0;
    margin-top: 1.25em;
    font-size: var(--fs-18);
    background-color: transparent;
    z-index: 5;
}
.choose-b-btn:hover{
    background-color: var(--clr-purple-header);
    color: var(--clr-background);
}
#o-g-position-option-box{
    width: 600px;
    height: 600px;
    top: -260px;
    right: -116px;
    z-index: 2;
}
#p-g-position-option-box{
    width: 780px;
    height: 780px;
    top: -240px;
    left: -470px;
    z-index: 1;
}
.gold-option-box .choose-b-btn{
    background-color: var(--clr-purple-header);
    color: var(--clr-background);
    transition: all 0.09s ease;
}
.gold-option-box .choose-b-btn:hover{
    outline: 4px solid #fdf6ff40;
}

.order-b-section{
    position: relative;
    display: flex;
    min-height: 100vh;
}
.r-order-b{
    flex: 1 0 32%;
    position: relative;
    overflow: hidden;
}
.r-order-b img{
    position: absolute;
    right: 0;
    top: 0;
    bottom: 0;
}
#o-g-position-order{
    width: 980px;
    height: 980px;
    top: -120px;
    right: -150px;
    z-index: -1;
}
#p-g-position-order{
    width: 1180px;
    height: 1180px;
    top: -104px;
    right: -170px;
    z-index: -2;
}
.l-order-b{
    flex: 1 0 68%;
    position: relative;
    display: flex;
    align-items: flex-start;
    padding: 5em 0;
}
#o-g-position-order1{
    width: 600px;
    height: 600px;
    bottom: 40px;
    left: 20px;
    z-index: -1;
}
#p-g-position-order1{
    width: 900px;
    height: 900px;
    bottom: 0px;
    left: -300px;
    z-index: -2;
}
#logo{
    position: absolute;
    top: 1.250em;
    left: 2.250em;
}
.order-b-grid{
    display: grid;
    grid-template-columns: 1fr 1fr;
    flex: 1;
}
.order-b-title-wrapper{
    grid-column: 1;
}
.b-order-details{
    grid-column: 2;
    grid-row: 2;
    background-color: var(--clr-gary-bg);
    width: 470px;
    align-self: flex-start;
    padding: 2em 2.875em;
}
.b-order-details ul{
    margin: 0;
}
.order-b-title-wrapper{
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 1em;
}
.order-b-title{
    flex: 1 0 100%;
    text-align: center;
    font-size: var(--fs-48);
    font-weight: var(--fw-title);
    margin-bottom: 0.5rem;
}
#order-b-form{
    width: 470px;
    margin: 0 auto;
    grid-column: 1;
    grid-row: 2;
}
#order-b-form .floating-input-popup:focus ~ label{
    background-color: var(--clr-background);
}
#order-b-form #order-b-form-submit{
    min-height: 46px;
}
#order-b-select{
    background-color: transparent;
    color: var(--clr-gray-text);
    font-size: var(--fs-22);
    font-family: var(--ff-body);
    border: 0;
    border-radius: 0px;
    border-top: 1px solid var(--clr-p-line);
    border-bottom: 1px solid var(--clr-p-line);
    text-align: center;
    padding: 0.5rem;
    outline: 0;
    /* appearance: none; */
    box-shadow: none;
    margin-bottom: 2rem;
}
#order-b-select:active, #order-b-select:hover, #order-b-select:checked{
    outline: none;
}
#order-b-select option{
    background-color: var(--clr-background);
}

@media (max-width:1440px){
    .choose-b-section{
        padding: 7.5em 2em 12em;
    }
    .choose-b-section .h2-64{
        margin-bottom: 4.5rem;
    }
    .choose-b-wrapper{
        gap: 2em;
    }
    .r-order-b{
        display: none;
    }
    .b-order-details{
        max-width: 420px;
    }
    .order-b-grid{
        grid-template-columns: 60% 40%;
    }
    #logo{
        max-width: 150px;
    }
}

@media (max-width:1024px){
    .choose-b-section .h2-64{
        margin-bottom: 3.5rem;
    }
    .choose-b-wrapper{
        flex-wrap: wrap;
    }
    .broadcast-option-box{
        flex: 1 0 100%;
        min-height: auto;
    }
    #o-g-position-option-box{
        width: 400px;
        height: 400px;
        top: -160px;
        right: 200px;
        z-index: 2;
    }
    .broadcast-option-list{
        margin: 1.5em 0 1em;
    }
    .order-b-grid{
        grid-template-columns: 1fr;
    }
    .b-order-details{
        grid-column: 1;
        grid-row: 3;
    }
    .order-b-title-wrapper img{
        width: 18px;
    }
    .b-order-details{
        margin: 3em 0;
        justify-self: center;
        max-width: 470px;
    }
    #logo{
        top: 1em;
        left: 1.5em;
    }
}

@media (max-width:760px){
    .choose-b-section{
        padding: 3em 2em 9em;
    }
    .choose-b-section .h2-64{
        margin-bottom: 2rem;
        max-width: 100%;
    }
    .broadcast-option-box{
        padding: 0 1.5em 1.5em;
    }
    #o-g-position-option-box{
        width: 400px;
        height: 400px;
        top: -160px;
        right: -20px;
        z-index: 2;
    }
    #p-g-position-option-box{
        width: 600px;
        height: 600px;
        top: -200px;
        left: -300px;
        z-index: 1;
    }
    #logo{
        max-width: 125px;
        top: 0.75em;
        left: 1em;
    }
    #order-b-form, .b-order-details{
        width: 90%;
    }
    #o-g-position-order1{
        width: 400px;
        height: 400px;
        bottom: 250px;
        left: 20px;
        z-index: -1;
    }
    #p-g-position-order1{
        width: 700px;
        height: 700px;
        bottom: 70px;
        left: -200px;
        z-index: -2;
    }
}